import React from "react";
import { Swiper, SwiperSlide } from "swiper/react";
import { A11y, Autoplay, Keyboard } from "swiper/modules";

import "swiper/css";
import "swiper/css/a11y";
import "swiper/css/autoplay";
import "swiper/css/keyboard";

import "./MySwiper.css";

export default function MySwiper() {
  const swiperParameters = {
    modules: [A11y, Autoplay, Keyboard],
    threshold: 5,
    slidesPerView: 3,
    observer: true,
    observeParents: true,
    loop: true,
    watchSlidesProgress: true,
    autoplay: { disableOnInteraction: false, enabled: true },
    grabCursor: true,
    effect: "coverflow",
    speed: 600,
    centeredSlides: true,
    keyboard: { enabled: true },
  };
  return (
    <>
      <Swiper {...swiperParameters}>
        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/01.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/02.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/03.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/04.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/05.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/06.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/07.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/08.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/09.jpg"
          />
        </SwiperSlide>

        <SwiperSlide>
          <img
            className="swiper-slide-image"
            src="https://studio.swiperjs.com/demo-images/nature/10.jpg"
          />
        </SwiperSlide>
      </Swiper>
    </>
  );
}
